Open SCAP Library

Public Member Functions | Data Fields
oval_value Struct Reference
OVAL » OVALDEF

OVAL object or item entity value. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_value * | oval_value_new (oval_datatype_t datatype, char *text_value)
struct oval_value * | oval_value_clone (struct oval_value *old_value)
void | oval_value_free (struct oval_value *)
Setters
void | oval_value_set_datatype (struct oval_value *, oval_datatype_t)
Getters
oval_datatype_t | oval_value_get_datatype (struct oval_value *)
| Get OVAL value datatype.
char * | oval_value_get_text (struct oval_value *)
| Get OVAL value as a text. More...
unsigned char * | oval_value_get_binary (struct oval_value *)
| Get OVAL value as a piece of raw binary data.
bool | oval_value_get_boolean (struct oval_value *)
| Get OVAL value as a boolean.
float | oval_value_get_float (struct oval_value *)
| Get OVAL value as a floating point number.
long long | oval_value_get_integer (struct oval_value *)
| Get OVAL value as an integer.

## Data Fields
oval_datatype_t | datatype
char * | text

## Detailed Description

OVAL object or item entity value.

The documentation for this struct was generated from the following files:

- oval_value.c
- oval_definitions.h